RPC.GSSD(8)

NOM
rpc.gssd - Démon rpcsec_gss

SYNOPSIS
rpc.gssd [-f] [-n] [-k keytab] [-p pipefsdir] [-v] [-r] [-d ccachedir]

DESCRIPTION
Le protocole rpcsec_gss donne la possibilité d'utiliser l'API de sécurité générique gss-api pour sécuriser les protocoles basés sur RPC (NFS en particulier). Avant tout échange de requêtes rpc basées sur rpcsec_gss, le client doit tout d'abord établir un contexte sécurisé. L'implémentation de rpcsec_gss dans le noyau Linux s'appuie sur le démon en espace utilisateur rpc.gssd pour la construction du contexte sécurisé. Le démon rpc.gssd se sert des fichiers présents dans le système de fichiers rpc_pipefs.

OPTIONS

-f  Lancer rpc.gssd en avant-plan, et rediriger sa sortie standard vers la sortie d'erreur (au lieu de syslogd).

-n  Par défaut, rpc.gssd traite les accès de l'utilisateur UID 0 d'une façon particulière, et utilise les « accréditations de la machine » pour tous les accès de cet utilisateur qui nécessitent l'authentification Kerberos. Avec l'option -n, les « accréditations de la machine » ne seront pas utilisées pour les accès de l'utilisateur UID 0. À la place, les accréditations devront être obtenues manuellement comme pour tous les autres utilisateurs. L'utilisation de cette option signifie que « root » doit obtenir manuellement des accréditations de Kerberos avant de tenter de monter un système de fichiers NFS exigeant cette authentification.

-k keytab
    Demander à rpc.gssd d'utiliser les clés présentes dans keytab afin d'obtenir les accréditations pour la machine. La valeur par défaut est /etc/krb5.keytab.

    Les versions précédentes de rpc.gssd utilisaient seulement les clés « nfs/* » trouvées dans le fichier de clés keytab. Pour plus de cohérence avec les autres implémebtations, on recherche à présent des entrées spécifiques dans ce fichier. L'ordre de recherche des clés à utiliser pour les « accréditations de la machine » est à présent le suivant :
      root/<hostname>@<REALM>
      nfs/<hostname>@<REALM>
      host/<hostname>@<REALM>
      root/<anyname>@<REALM>
      nfs/<anyname>@<REALM>
      host/<anyname>@<REALM>

-p path
    Indiquer à rpc.gssd où chercher le système de fichiers rpc_pipefs. Par défaut, il s'agit de /var/lib/nfs/rpc_pipefs.

-d répertoire
    Indiquer à rpc.gssd où chercher le fichier des accréditations kerberos. Par défaut, il s'agit de /tmp.

-v  Accroître la volubilité de la sortie (peut être spécifiée plusieurs fois).

-r  Si la bibliothèque rpcsec_gss accepte la définition de niveau de débogage, accroître la volubilité de la sortie (peut être spécifiée plusieurs fois).

AUTEURS
Dug Song <dugsong@umich.edu>
Andy Adamson <andros@umich.edu>
Marius Aamodt Eriksen <marius@umich.edu>
J. Bruce Fields <bfields@umich.edu>

VOIR AUSSI
rpc.svcgssd(8)

TRADUCTION

Ce document est une traduction réalisée par Sylvain Cherrier <sylvain DOT cherrier AT free DOT fr> le 3 juillet 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 rpc.gssd ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.